* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body,
#app {
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: #050010;
    font-family: 'Orbitron', sans-serif;
}

#app.hidden {
    display: none;
}

#loader {
    position: fixed;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #050010;
    color: white;
    transition: opacity 0.5s ease;
    z-index: 9999;
}

#loader.hidden {
    opacity: 0;
    pointer-events: none;
}

canvas {
    position: fixed;
    inset: 0;
    z-index: 1;
}

.background {
    position: fixed;
    inset: 0;
    height: 92vh;
    object-fit: contain;
    opacity: .22;
    filter: saturate(180%) hue-rotate(-20deg) contrast(120%) brightness(.65);
    z-index: 0;
    margin-left: -40px;
    left: 50%;
    transform: translateX(-50%)
}

.overlay {
    position: absolute;
    inset: 0;
    z-index: 3;
    pointer-events: none;
    background: radial-gradient(circle at top, rgba(255, 0, 150, .15), transparent 50%), linear-gradient(rgba(255, 0, 255, .08), rgba(0, 255, 255, .03)), repeating-linear-gradient(transparent 0px, transparent 3px, rgba(255, 255, 255, .015) 4px);
}
.container {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    height: 100%;
    margin: 25px;
    z-index: 2;
}

.content {
    inset: 0;
    z-index: 3;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
}

h1 {
    font-size: clamp(1.5rem, 4vw, 3.5rem);
    letter-spacing: .25em;
    text-transform: uppercase;
    color: #ff4af7;
    text-shadow: 0 0 10px #ff00cc, 0 0 30px #ff00cc, 0 0 60px #ff00cc;
    margin: .5em;
}

p {
    margin-top: 20px;
    font-size: 1.2rem;
    color: #66ffff;
    letter-spacing: 5px;
    text-shadow: 0 0 8px cyan;
}

.logo {
    margin-top: -100px;
    margin-bottom: -200px;
}

#logoVid {
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    opacity: .8;
    filter: saturate(180%) hue-rotate(-20deg) contrast(120%) brightness(.65);
    will-change: transform;
    transform:
        translate3d(0,0,0);
}

.info {
    display: flex;
    flex-direction: column;
    margin-top: 75px;
    margin-bottom: 75px;
}

span {
    margin-top: 10px;
}

a {
    color: whitesmoke;
}

.grid {
    position: absolute;
    bottom: -20%;
    width: 220%;
    height: 50%;
    background-image: linear-gradient(rgba(0, 255, 255, .5) 2px, transparent 2px), linear-gradient(90deg, rgba(0, 255, 255, .5) 2px, transparent 2px);
    background-size: 60px 60px;
    transform: perspective(500px) rotateX(80deg);
    opacity: .25;
}
